Transcend Docs
API referencePreflight

Add info to a DSR before processing

POST
/v1/enrich-identifiers

Before processing a new DSR, we can coordinate with your server to:

  1. Confirm that this request should be processed (or canceled, or put on hold).
  2. Obtain additional user identifiers, such as a phone number, to find the data subject with.

See the uploading enriched identifiers guide for more information.

Authorization

Transcend_API_Key Manage Request Identity Verification
headerAuthorizationBearer <token>

authorization: Bearer <>

Scope: Manage Request Identity Verification

Header Parameters

authorization*string

An API key generated from the Transcend dashboard: https://app.transcend.io/infrastructure/api-keys.

x-sombra-authorization?string

The Sombra internal key. This header is only needed for self-hosted Sombra gateways. See https://docs.transcend.io/docs/dsr-automation/api-integration/authentication#authenticating-to-sombra

content-type*string

Specify content-type: application/json for a JSON response from the Transcend API.

Matchapplication-json
x-transcend-nonce*string

A reusable token sent in Transcend's webhook for this job, and returned by you when uploading the result of this job back to Transcend. Called a 'nonce' for legacy reasons, but is actually reusable.

Request Body

application/json
  1. body
enrichedIdentifiers?

An object where the keys are the identifier names (i.e. email, phone, idfa, ...), and the values are a list of enriched identifiers.

status?string
Value in"CANCELED""ON_HOLD"
templateId?string

When status is set to ON_HOLD or CANCELED, you may include the ID of a custom email template to send to the data subject.

Formatuuid
templateTitle?string

When status is set to ON_HOLD or CANCELED, you may include the title of a custom email template to send to the data subject.

Response Body

Your request was received without an issue.

application/json
  1. response
curl -X POST 'https://multi-tenant.sombra.transcend.io/v1/enrich-identifiers' \  -H 'authorization: string' \  -H 'content-type: string' \  -H 'x-transcend-nonce: string' \  -H 'Content-Type: application/json' \  -d '{  "enrichedIdentifiers": {    "googleAnalyticsInternalId": [      {        "value": "SOME-GOOGLE-ANALYTICS-ID"      }    ],    "gpadvid": [      {        "value": "b20f48d8-9f50-447a-a446-1d398a9f9b1b"      }    ]  }}'
Example Response
{}